Subject: Re: [MOBILE-IP] routing optimization authentication

From: Patrice Calhoun <[email-masked]>
Date: Thu, 12 Aug 1999 20:05:51 -0700

>
>> From: [email-masked] (Patrice Calhoun)
>
>> >  I don't see why the use of public-key style authentication in the
>> >  context of Mobile IP has to require a "global PKI". As Steve Kent
>> >  has also mentioned several times on the IPSec mailing list, deploying
>> >  PKI in a closed system isn't hard (it is more a mental block than
>> >  anything else).
>> >
>> >  Also consider the fact that there are several thousand (if not more)
>> >  HTTPS servers operating today using public-key technology.
>> >
>> >  vipul
>>
>> Because with the current plans of CDMA deployment, it really isn't a "closed"
>> network.
>>
>> PatC
>
>  Can you elaborate? I don't see the effort involved in setting up a
>  shared key between AAA servers belonging to different carriers
>  as being much different from having them cross certify each others
>  root key (irrespective of whether this roaming agreement happens
>  directly or indirectly through a broker).

Vipul,

The number of relationships in the AAA case is one per peer, in the case of the
PKI we are talking about a cert for each mobile node and mobility agent. One
also has to consider the CRL infrastructure that need to be in place to support
that kind of network.

I could be wrong but setting up a relationship with a broker, and getting a single
cert for the AAA server seems much less complex. Furthermore, no CRL is required since
the broker participates in the AA/A, and therefore would deny any requests for/from
an ISP/corporate customer that is no longer part of the consortium.

PatC
>  vipul

---

From: Gopal Dommety <[email-masked]>
Date: Thu, 12 Aug 1999 23:31:05 -0700

> PKI we are talking about a cert for each mobile node and mobility agent. One

Pat,

If we assume a shared key between the mobile and the HA and use certs
for HA and FA then the scalability may not be problem. We may not need
FA-MN auth in most cases (if MN-HA and FA-HA exist).

> the broker participates in the AA/A, and therefore would deny any

Are you assuming that the AAA borker is also the CA (Certificate Authority)?

-Gopal

---

From: Vipul Gupta <[email-masked]>
Date: Fri, 13 Aug 1999 10:41:33 -0700

> also has to consider the CRL infrastructure that need to be in place to support

  In terms of the effort involved, issuing a cert for each mobile node or
  agent doesn't seem all that different from setting up a secret key between
  that entity and its AAA. All certs need not be issued by the same CA, so
  for example, each carrier could choose to have its own CA that issues
  certs for its mobile users and mobility agents. Direct or indirect
  (through a broker) roaming agreements can be used to maintain the
  necessary certification paths. The PKIX working group has developed an
  Online Certificate Status Protocol - OCSP (RFC 2560) which eliminates
  the need for CRLs and can be used in the manner you describe below.

  vipul